﻿@model ContosoUniversity.DTO.NhatKyVanHanhVaSuaChua

@*@{
        ViewBag.Title = "NhatKyVanHanhVaSuaChua";
        Layout = "~/Views/Shared/_Layout.cshtml";
    }*@
<style>

    ul, #myUL-addNhatKy {
        list-style-type: none;
    }

    #myUL-addNhatKy {
        margin: 0;
        padding: 0;
    }

    .create-nhatky-caret {
        cursor: pointer;
        -webkit-user-select: none; /* Safari 3.1+ */
        -moz-user-select: none; /* Firefox 2+ */
        -ms-user-select: none; /* IE 10+ */
        user-select: none;
    }

        .create-nhatky-caret:before {
            content: "\25B6";
            color: black;
            display: inline-block;
            margin-right: 6px;
        }

    .caret-down-addnhatky::before {
        -ms-transform: rotate(90deg); /* IE 9 */
        -webkit-transform: rotate(90deg); /* Safari */
        ' transform: rotate(90deg);
    }

    .create-nhatky-nested {
        display: block;
    }

    .active-addnhatky {
        display: none;
    }
    /*.tr-create {
        display: table-row;
        vertical-align: inherit;
        border-color: white !important;
    }*/
    .tableborderless-addnhatky tr td {
        border: none !important;
    }

    .div-create-nhatky-new {
        border: 1px solid black;
    }
</style>
<h4>Chi tiết nhật ký</h4>

<div class="create-nhatky">
    <ul id="myUL-addNhatKy">

        @*Thêm mới Nhật Ký*@
        <li>
            <span class="create-nhatky-caret" style="width:auto">NK-01</span>

            <ul class="create-nhatky-nested">
                <li>
                    <div class="div-create-nhatky-new">
                        <table class="table tableborderless-addnhatky">
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.LuuLuongVao, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.LuuLuongVao, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.LuuLuongRa, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.LuuLuongRa, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.ChiSoTieuThuDien, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.ChiSoTieuThuDien, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.KhoiLuongTieuThuDien, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.KhoiLuongTieuThuDien, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.PolymerVao, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.PolymerVao, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.PolymerRa, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.PolymerRa, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.PhaBotVao, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.PhaBotVao, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.PhaBotRa, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.PhaBotRa, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.NaOHVao, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.NaOHVao, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.NaOHRa, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.NaOHRa, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.NPKVao, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.NPKVao, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.NPKRa, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.NPKRa, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.UreVao, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.UreVao, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.UreRa, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.UreRa, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.MatRiVao, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.MatRiVao, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.MatRiRa, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.EditorFor(x => x.MatRiRa, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="">
                                <td>
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.NhapGhiChuChoCaSau, htmlAttributes: new { @class = "control-label col-md-3" })
                                        <div class="col-md-9">
                                            @Html.TextAreaFor(x => x.NhapGhiChuChoCaSau, new { @class = "form-control"})
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="form-group">

                                        <div class="col-md-3"></div>

                                        <div class="col-md-4">
                                        </div>
                                        <div class="col-md-3" style="padding-left: 30px">
                                            <input type="submit" onclick="ThemSuCo()" id="ThemSuCo" value="Thêm sự cố" class="btn btn-success" />
                                        </div>
                                    </div>

                                </td>
                                @*<div class="col-md-5">
                                        @Html.RadioButtonFor(model => model.IsError, "TRUE", false)@Html.Label("Hệ thống bình thường")
                                    </div>
                                    <div class="col-md-4">
                                        @Html.RadioButtonFor(model => model.IsError, "FALSE", false)@Html.Label("Hệ thống bất thường")
                                    </div>*@
                            </tr>

                        </table>
                    </div>

                </li>

            </ul>
        </li>



    </ul>
    <div class="addSuCo">
    </div>
</div>





<script>
    var toggler = document.getElementsByClassName("create-nhatky-caret");
    var i;

    for (i = 0; i < toggler.length; i++) {
        toggler[i].addEventListener("click", function () {
            this.parentElement.querySelector(".create-nhatky-nested").classList.toggle("active-addnhatky");
            this.classList.toggle("caret-down-addnhatky");
        });
    }

    //function ThemSuCo() {
    //    debugger;
    //    $("#addSuCo").load("/ThongTinSuCoes/AddNewSuCo");
    //}
    function ThemSuCo() {
        $.ajax({
            type: 'GET',
            url: '/ThongTinSuCoes/AddNewSuCo', //Like /Books/AddBook
            data: null,
            success: function (data) {
                $(".addSuCo").append(data); //where divID is the id of the div you append the data.
                debugger;
                var abcElements = document.querySelectorAll('.create-nhatky-suco');
                for (var i = 0; i < abcElements.length; i++)
                    abcElements[i].id = 'suco-' + i;
            }
        });

        var toggler = document.getElementsByClassName("create-suco-caret");
        var i;

        for (i = 0; i < toggler.length; i++) {
            toggler[i].addEventListener("click", function () {
                this.parentElement.querySelector(".create-suco-nested").classList.toggle("active-addsuco");
                this.classList.toggle("caret-down-addsuco");
            });
        }
        //$("#addSuCo").load("/ThongTinSuCoes/AddNewSuCo");
        
    }

    
</script>